package api

// func ProductAdd(c *gin.Context, apictx *ApiSession) (interface{}, error) {
// 	var form model.Product
// 	err := c.ShouldBindJSON(&form)
// 	if err != nil {
// 		return nil, errors.New("参数错误！")
// 	}
// 	_userId := apictx.User.Parent
// 	userId, _ := primitive.ObjectIDFromHex(_userId)
// 	// 供应链端 供应id就算当前用户id
// 	form.SupplierId = userId
// 	if form.Name == "" {
// 		return nil, errors.New("产品名不能为空")
// 	}
// 	form.CreateTime = time.Now()
// 	form.UpdateTime = time.Now()
// 	// 状态默认为下架
// 	if form.Status == model.PRODUCT_STATE_ON {
// 		form.OnsaleTime = time.Now()
// 	} else {
// 		form.Status = model.PRODUCT_STATE_DOWN
// 	}

// 	result, err := repo.RepoAddDoc(apictx.CreateRepoCtx(), repo.CollectionProduct, &form)
// 	if err == nil {
// 		var wg sync.WaitGroup
// 		tableName := fmt.Sprintf("user_%s", _userId)
// 		if len(form.Cover) > 0 {
// 			wg.Add(1)
// 			go uploadImageToMlivus(tableName, result, form.Cover, &wg)
// 		}

// 		if len(form.Thumbnail) > 0 {
// 			for _, thum := range form.Thumbnail {
// 				wg.Add(1)
// 				go uploadImageToMlivus(tableName, result, thum, &wg)
// 			}
// 		}
// 		wg.Wait()
// 	}

// 	return result, err

// }

// // 更新产品/编辑、下架
// func ProductUpdate(c *gin.Context, apictx *ApiSession) (interface{}, error) {
// 	var form model.Product
// 	err := c.ShouldBindJSON(&form)
// 	if err != nil {
// 		return nil, errors.New("参数错误")
// 	}
// 	if form.Id.Hex() == "" {
// 		return nil, errors.New("产品id不能为空")
// 	}
// 	product := model.Product{}
// 	found, err := repo.RepoSeachDoc(apictx.CreateRepoCtx(), &repo.DocSearchOptions{
// 		CollectName: repo.CollectionProduct,
// 		Query:       repo.Map{"_id": form.Id},
// 	}, &product)
// 	if !found || err != nil {
// 		return nil, errors.New("该商品不存在")
// 	}

// 	// 不是自己的商品
// 	if product.SupplierId.Hex() != apictx.User.ID {
// 		return nil, errors.New("非法操作")
// 	}
// 	form.UpdateTime = time.Now()
// 	if form.Status == model.PRODUCT_STATE_ON {
// 		form.OnsaleTime = time.Now()
// 	} else {
// 		form.Status = model.PRODUCT_STATE_DOWN
// 	}

// 	// 封面图和细节图必须有
// 	// !搜图相关处理===========================================================================================
// 	if len(form.Cover) > 0 || len(form.Thumbnail) > 0 {
// 		var wg sync.WaitGroup
// 		if len(form.Cover) > 0 {
// 			// 修改了封面图
// 			if form.Cover != product.Cover {
// 				tableName := fmt.Sprintf("user_%s", apictx.User.Parent)
// 				wg.Add(1)
// 				go uploadImageToMlivus(tableName, form.Id.Hex(), form.Cover, &wg)
// 				wg.Add(1)
// 				go deleteImageToMlivus(tableName, form.Cover, &wg)
// 			}
// 		}

// 		tableName := fmt.Sprintf("user_%s", apictx.User.Parent)
// 		// 修改了细节图
// 		if len(form.Thumbnail) > 0 {
// 			// 找到变化的上传
// 			for _, thum := range form.Thumbnail {
// 				index := getMemberIndx(thum, product.Thumbnail)
// 				// 新图片
// 				if index == -1 {
// 					wg.Add(1)
// 					go uploadImageToMlivus(tableName, form.Id.Hex(), thum, &wg)
// 				} else {
// 					product.Thumbnail = append(product.Thumbnail[:index], product.Thumbnail[index+1:]...)
// 				}
// 			}
// 			// 删除旧图片
// 			if len(product.Thumbnail) > 0 {
// 				fmt.Println(product.Thumbnail)
// 				for _, pthum := range product.Thumbnail {
// 					wg.Add(1)
// 					go deleteImageToMlivus(tableName, pthum, &wg)
// 				}
// 			}
// 		}
// 		wg.Wait()
// 	}
// 	// !===================================================================================================

// 	return repo.RepoUpdateSetDoc(apictx.CreateRepoCtx(), repo.CollectionProduct, form.Id.Hex(), &form)
// }

// // 删除产品
// func ProductDelete(c *gin.Context, apictx *ApiSession) (interface{}, error) {
// 	_id := c.Param("id")
// 	if len(_id) < 1 {
// 		return nil, errors.New("id不能为空")
// 	}
// 	productId, err := primitive.ObjectIDFromHex(_id)
// 	if err != nil {
// 		return nil, errors.New("非法id")
// 	}
// 	product := model.Product{}
// 	found, err := repo.RepoSeachDoc(apictx.CreateRepoCtx(), &repo.DocSearchOptions{
// 		CollectName: repo.CollectionProduct,
// 		Query:       repo.Map{"_id": productId},
// 	}, &product)
// 	if !found || err != nil {
// 		return nil, errors.New("该商品不存在")
// 	}
// 	// 不是自己的商品
// 	if product.SupplierId.Hex() != apictx.User.ID {
// 		return nil, errors.New("非法操作")
// 	}

// 	if len(product.Cover) > 0 || len(product.Thumbnail) > 0 {
// 		var wg sync.WaitGroup
// 		// 删除milvus中对应的图片向量
// 		wg.Add(1)
// 		go deleteImageToMlivus(fmt.Sprintf("user_%s", apictx.User.Parent), product.Cover, &wg)
// 		if len(product.Thumbnail) > 0 {
// 			for _, thum := range product.Thumbnail {
// 				wg.Add(1)
// 				go deleteImageToMlivus(fmt.Sprintf("user_%s", apictx.User.Parent), thum, &wg)
// 			}
// 		}
// 		wg.Wait()

// 	}

// 	return repo.RepoDeleteDoc(apictx.CreateRepoCtx(), repo.CollectionProduct, _id)
// }

// // /product/search
// // 关键字name/unit搜索，query:{"key":""}
// // 图片搜索，query:{"url":""}
// // 互斥:query中有key字段就没有url字段,有url字段就没有key字段
// func ProductSearch(c *gin.Context, apictx *ApiSession) (interface{}, error) {
// 	page, size, query := UtilQueryPageSize(c)
// 	userId, _ := primitive.ObjectIDFromHex(apictx.User.Parent)
// 	if userId.IsZero() {
// 		return nil, errors.New("userid 为空")
// 	}

// 	query["supplierId"] = userId
// 	if _key, ok := query["key"]; ok {
// 		delete(query, "key")
// 		query["$or"] = []bson.M{
// 			{"name": bson.M{"$regex": _key.(string)}},
// 			{"unit": bson.M{"$regex": _key.(string)}},
// 		}

// 	} else if _url, ok := query["url"]; ok {
// 		_userId := apictx.User.Parent
// 		tableName := "user_" + _userId
// 		url := _url.(string)
// 		lists, err := searchImageToMlivus(tableName, url)
// 		if err != nil {
// 			fmt.Println(err)
// 			log.Error(err)
// 			return nil, err
// 		}
// 		handleLists := make([]map[string]interface{}, 0)
// 		if len(lists) > 0 {
// 			sort.Sort(SortMilvusSearchSlice(lists))
// 			newLists := RemoveDuplicateMilvusSearch(lists)

// 			for _, list := range newLists {
// 				product_id, _ := primitive.ObjectIDFromHex(list.ProductId)
// 				handleList := make(map[string]interface{})
// 				found, err := repo.RepoSeachDoc(apictx.CreateRepoCtx(), &repo.DocSearchOptions{
// 					CollectName: repo.CollectionProduct,
// 					Query:       repo.Map{"_id": product_id},
// 				}, handleList)
// 				if !found || err != nil {
// 					handleList["status"] = -2
// 				}
// 				handleList["score"] = list.Score
// 				handleList["imHash"] = list.ImHash
// 				handleLists = append(handleLists, handleList)
// 			}
// 		}

// 		return handleLists, nil
// 	}

// 	return repo.RepoPageSearch(apictx.CreateRepoCtx(), &repo.PageSearchOptions{
// 		CollectName: repo.CollectionProduct,
// 		Page:        page,
// 		Size:        size,
// 		Query:       query,
// 	})
// }
