package api

import (
	"sku3dweb/db/model"
	"sku3dweb/db/repo"
	"time"

	"github.com/gin-gonic/gin"
)

func RegAdminActionRouter(router *GinRouter) {

	//用户管理
	CreateCRUD(router, "/webuser", &CRUDOption{
		Collection: repo.CollectionUser,
		NewModel2: func(c *gin.Context, apictx *ApiSession) (interface{}, error) {
			u := &model.User{}
			c.ShouldBindJSON(u)
			u.CreateTime = time.Now()
			if len(u.Password) > 0 {
				u.Password = UtilMd5(u.Password)
			}
			return u, nil
		},
		EmtyModel: func(*gin.Context) interface{} {
			return &model.User{}
		},
		SearchProject: []string{"name", "phone", "avatar", "canDeployDesign"},
	})
}
